## mx4j.tools.config
Interface ConfigurationBuilder.Node

All Known Implementing Classes:
  DefaultConfigurationBuilder.AbstractNode

Enclosing interface:
  ConfigurationBuilder

public static interface ConfigurationBuilder.Node

Method Summary
`void` `addChild(ConfigurationBuilder.Node child)`
`java.lang.Object` `configure(javax.management.MBeanServer server)`
`java.util.List` `getChildren()`
`ConfigurationBuilder.Node` `getParent()`
`void` `setAttributes(org.w3c.dom.NamedNodeMap attributes)`
`void` `setParent(ConfigurationBuilder.Node parent)`
`void` `setText(java.lang.String text)`

Method Detail

### setAttributes

    public void setAttributes(org.w3c.dom.NamedNodeMap attributes)
                       throws ConfigurationException

  Throws:
    `ConfigurationException`

### setText

    public void setText(java.lang.String text)

### configure

    public java.lang.Object configure(javax.management.MBeanServer server)
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

### getParent

    public ConfigurationBuilder.Node getParent()

### setParent

    public void setParent(ConfigurationBuilder.Node parent)

### getChildren

    public java.util.List getChildren()

### addChild

    public void addChild(ConfigurationBuilder.Node child)

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.